Closed Bug 337081 Opened 19 years ago Closed 18 years ago

Coverity 516, Dead code in mozilla/security/nss/cmd/lib/secutil.c

Categories

(NSS :: Libraries, defect, P3)

3.11
defect

Tracking

(Not tracked)

RESOLVED FIXED
3.11.3

People

(Reporter: jonsmirl, Assigned: nelson)

Details

(Keywords: coverity, Whiteboard: [CID 516])

Attachments

(1 file)

Comment says function is unfinished, it is not used in the code.
Patch to remove it,

Index: security/nss/cmd/lib/secutil.c
===================================================================
RCS file: /cvsroot/mozilla/security/nss/cmd/lib/secutil.c,v
retrieving revision 1.71
diff -u -r1.71 secutil.c
--- security/nss/cmd/lib/secutil.c      22 Sep 2005 22:45:32 -0000      1.71
+++ security/nss/cmd/lib/secutil.c      8 May 2006 04:03:45 -0000
@@ -3012,25 +3012,6 @@

 }

-
-SECItem *
-SECU_GetPBEPassword(void *arg)
-{
-    char *p = NULL;
-    SECItem *pwitem = NULL;
-
-    p = SECU_GetPasswordString(arg,"Password: ");
-
-    /* NOTE: This function is obviously unfinished. */
-
-    if ( pwitem == NULL ) {
-       fprintf(stderr, "Error hashing password\n");
-       return NULL;
-    }
-
-    return pwitem;
-}
-
 SECStatus
 SECU_ParseCommandLine(int argc, char **argv, char *progName, secuCommand *cmd)
 {
Index: security/nss/cmd/lib/secutil.h
===================================================================
RCS file: /cvsroot/mozilla/security/nss/cmd/lib/secutil.h,v
retrieving revision 1.18
diff -u -r1.18 secutil.h
--- security/nss/cmd/lib/secutil.h      12 Apr 2005 02:24:15 -0000      1.18
+++ security/nss/cmd/lib/secutil.h      8 May 2006 04:03:46 -0000
@@ -289,8 +289,6 @@
 extern SECKEYLowPublicKey *SECU_ConvHighToLow(SECKEYPublicKey *pubHighKey);
 #endif

-extern SECItem *SECU_GetPBEPassword(void *arg);
-
 extern char *SECU_GetModulePassword(PK11SlotInfo *slot, PRBool retry, void *arg);

 extern SECStatus DER_PrettyPrint(FILE *out, SECItem *it, PRBool raw);
Severity: normal → trivial
Priority: -- → P3
*** Bug 337629 has been marked as a duplicate of this bug. ***
Attachment #221260 - Flags: review?(wtchang)
Comment on attachment 221260 [details] [diff] [review]
Remove unused function

r=nelson
Attachment #221260 - Flags: review?(wtchang) → review+
taking. 
Note: there are a bunch of coverity CIDs about this function.
deleting it should silence them all.
Assignee: nobody → nelson
Whiteboard: [CID 516]
Retargetting all P2s to 3.11.3 .
Target Milestone: 3.11.2 → 3.11.3
Remove dead function SECU_GetPBEPassword from nss/cmd/lib/secutil.*
Patch contributed by Jon Smirl <jonsmirl@gmail.com>
Coverity CID 516. Bug 337081.  r=nelson@bolyard.com

On trunk:
Checking in secutil.c; new revision: 1.73; previous revision: 1.72
Checking in secutil.h; new revision: 1.19; previous revision: 1.18

On 3.11 branch
Checking in secutil.c; new revision: 1.71.2.3;  previous revision: 1.71.2.2
Checking in secutil.h; new revision: 1.18.24.1; previous revision: 1.18

Marking resolved / fixed
Status: NEW → RESOLVED
Closed: 18 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Creator:
Created:
Updated:
Size: